Bug 1419258 - /usr/share/mscore-2.0/templates contains link "*.mcsz" to itself
Summary: /usr/share/mscore-2.0/templates contains link "*.mcsz" to itself
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mscore
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Brendan Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-04 11:22 UTC by schlaffi
Modified: 2018-01-05 15:56 UTC (History)
4 users (show)

Fixed In Version: mscore-2.1.0-7.fc27 mscore-2.1.0-7.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-05 13:34:37 UTC
Type: Bug


Attachments (Terms of Use)

Description schlaffi 2017-02-04 11:22:43 UTC
Description of problem:

The mscore package contains a recursive link named "*.mcsz" to itself in the directory /usr/share/mscore-2.0/templates.

While certainly a nice test for scripts to handle corner cases (recursive link, file name contains a glob), I am pretty sure it should not be there ;)

Version-Release number of selected component (if applicable):

mscore-2.0.3-3.fc25.x86_64

How reproducible:

Always.

Steps to Reproduce:

rpm -q --dump mscore | grep \*

Actual results:

/usr/share/mscore-2.0/templates/*.mcsz 6 1464072928 0000000000000000000000000000000000000000000000000000000000000000 0120777 root root 0 0 0 *.mcsz


Expected results:

Nothing.

Additional info:

Comment 1 Jerry James 2017-09-10 20:40:30 UTC
This is due to a typo in the spec file.  This for loop in %install:

for i in *.mcsz; do
  ln -s $i ../templates/$i
done

has the 's' and 'c' letters reversed; it should be:

for i in *.mscz; do
  ln -s $i ../templates/$i
done

Comment 2 Fedora End Of Life 2017-11-16 19:33:56 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:30:13 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Jerry James 2017-12-24 23:37:41 UTC
Reopening, as this is still broken in Fedora 26.  Please see comment 1 for the fix.

Comment 5 Jerry James 2017-12-25 00:12:07 UTC
No, actually, even the fix in comment 1 is wrong.  That just creates self-referential symbolic links.  What is the for loop supposed to accomplish?  Is it supposed to create symbolic links in the templates directory that point to the files in the demos directory?  In that case, the correct invocation is this:

pushd %{buildroot}/%{_datadir}/%{name}-%{shortver}/demos/
for i in *.mscz; do
  ln -s ../demos/$i ../templates/$i
done
popd

Comment 6 Jerry James 2017-12-25 00:13:55 UTC
But now I have to wonder if any of this is even necessary.  Since that for loop has always been broken, and therefore the symbolic links have never existed in Fedora, are they actually needed for anything?  I got the "My First Score" the first time I ran mscore.  Should this for loop just be removed from the spec file altogether?

Comment 7 Fedora Update System 2017-12-25 20:17:37 UTC
mscore-2.1.0-7.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2b936dc9c

Comment 8 Fedora Update System 2017-12-25 20:17:46 UTC
mscore-2.1.0-7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d8a517d931

Comment 9 Fedora Update System 2017-12-27 22:37:13 UTC
mscore-2.1.0-7.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d8a517d931

Comment 10 Fedora Update System 2017-12-27 23:10:37 UTC
mscore-2.1.0-7.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2b936dc9c

Comment 11 Fedora Update System 2018-01-05 13:34:37 UTC
mscore-2.1.0-7.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-01-05 15:56:05 UTC
mscore-2.1.0-7.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.